com.r3corda.protocols / RatesFixProtocol / SignRequest

# SignRequest

`data class SignRequest : PartyRequestMessage`

### Constructors

<init> | `SignRequest(tx: WireTransaction, replyToParty: Party, sessionID: Long)`

### Properties

replyToParty | `val replyToParty: Party`
sessionID | `val sessionID: Long`
tx | `val tx: WireTransaction`

### Inherited Functions

getReplyTo | `open fun getReplyTo(networkMapCache: NetworkMapCache): MessageRecipients`